Subject: RE: [Isis-wg] DRB election with two router ports on the same LAN?

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 3 Jan 2008 15:08:23 -0800

Radia -

I am curious as to what the use case is for having the same system with
multiple interfaces AND different MAC addresses on the same network.
Could you please explain?

Also, without in any way disagreeing with Mike's interpretation of the
spec, I think it worth mentioning that at least some of the popularly
deployed implementations do NOT support multiple adjacencies to the same
system on the same interface - out of concern for misconfiguration
conditions (e.g. a bridged LAN where two networks have been
unintentionally cross-connected).

   Les

> -----Original Message-----
> From: Mike Shand (mshand)
> Sent: Tuesday, December 18, 2007 4:03 AM
> To: Radia Perlman
> Cc: [email-masked]
> Subject: Re: [Isis-wg] DRB election with two router ports on the same
LAN?
> 
> Radia Perlman wrote:
> > I assume IS-IS does the right thing when a router has two ports onto
> > the same layer 2 cloud, i.e., the router knows that
> > they are both the same cloud, and doesn't do something silly like
> > create two pseudonodes. I should know this, but it's
> > been a long time, and hoping someone can trivially answer off the
top
> > of their head.
> Yes it does the right thing.
> >
> >                   R1
> >      port q  /     \ port p
> >                 |       |
> > ------------------------------
> >
> >
> > What I'd assume is that R1 would notice if it is receiving its own
> > Hellos from port p on port q, and associate the two ports
> > with being on the same link, and therefore only create a single
> > pseudonode. Or to think of it another way, one port would
> > defer to the other, and R1 would become DR on one port and not on
the
> > other. But I don't remember a "port number" as
> > part of the Hello, so there wouldn't be an obvious tie-breaker.
> Yes. The election is by priority and then by MAC address based on what
> you see on the wire and your own information. So as you say, one port
> would defer to the other.
> 
> I don't think the standard specifically calls out this case, but that
is
> the way it just works. Certainly this worked in the  DEC
implementation.
> 
>     Mike
> 
> >
> > The way the similar thing is done in spanning tree is that the port
> > number is part of the priority for being Designated Bridge, and
> > is included in the Hello, so a bridge
> > might say "(Root bridge=R, I am cost 7 from R, My ID is B1, My port
> > number is p)" and if B1 received this Hello on
> > another port, the first 3 fields (root ID, cost to root, my ID)
would
> > be a tie, but the last field (port number) would be
> > a tie-breaker, so one port naturally defers to the other as if the
> > other port won on any of the fields.
> >
> > I don't remember a similar tie-breaking field in IS-IS Hellos, but
> > there had to be something for that.
> >
> > Anyway, can someone refresh my memory?
> >
> > Thanks,
> >
> > Radia
> >
> > _______________________________________________
> > Isis-wg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/isis-wg
> >
> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg